Package com.io7m.montarre.nativepack

# Class MNPackagers

java.lang.Object
com.io7m.montarre.nativepack.MNPackagers

All Implemented Interfaces:
  `MNativePackagerDirectoryType`

public final class MNPackagers extends Object implements MNativePackagerDirectoryType
The native packager directory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MNPackagers`
  `create(List<MNativePackagerServiceProviderType> packagerProviders, MNativeProcessesType processes)`
  Create a directory.
  `static MNPackagers`
  `createFromServiceLoader()`
  Create a directory, loading providers from `ServiceLoader`.
  `static MNPackagers`
  `createFromServiceLoader(MNativeProcessesType processes)`
  Create a directory, loading providers from `ServiceLoader`.
  `SortedMap<com.io7m.lanark.core.RDottedName,MNativePackagerServiceType>`
  `packagers()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### create

    public static MNPackagers create(List<MNativePackagerServiceProviderType> packagerProviders, MNativeProcessesType processes)
    Create a directory.
    Parameters:
      `packagerProviders` - The providers
      `processes` - The native processes
    Returns:
      A directory

  - ### createFromServiceLoader

    public static MNPackagers createFromServiceLoader(MNativeProcessesType processes)
    Create a directory, loading providers from `ServiceLoader`.
    Parameters:
      `processes` - The native processes
    Returns:
      A directory

  - ### createFromServiceLoader

    public static MNPackagers createFromServiceLoader()
    Create a directory, loading providers from `ServiceLoader`.
    Returns:
      A directory

  - ### packagers

    public SortedMap<com.io7m.lanark.core.RDottedName,MNativePackagerServiceType> packagers()
    Specified by:
      `packagers` in interface `MNativePackagerDirectoryType`
    Returns:
      The packagers